package com.ruoyi.cai.ws.cache;

import com.alibaba.fastjson2.JSON;
import com.ruoyi.cai.ws.bean.FdCtxData;
import com.ruoyi.cai.ws.constant.RedisConstant;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.SearchStrategy;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

@Component
public class FdCtxDataCache {
    @Autowired
    private StringRedisTemplate redisTemplate;

    public String getKey(String sessionKey){
        return String.format(RedisConstant.FDCTX_DATA,sessionKey);
    }

    public void save(FdCtxData fdCtxData) {
        String str = JSON.toJSONString(fdCtxData);
        redisTemplate.opsForValue().set(getKey(fdCtxData.getSessionKey()),str,5, TimeUnit.DAYS);
    }

    public FdCtxData getByRoomId(String sessionKey){
        String key = getKey(sessionKey);
        String s = redisTemplate.opsForValue().get(key);
        if(StringUtils.isEmpty(s)){
            return null;
        }
        return JSON.parseObject(s,FdCtxData.class);
    }

}
